net.minecraft.command

## Class CommandHandler

- java.lang.Object
- - net.minecraft.command.CommandHandler

- All Implemented Interfaces:
    ICommandManager
  Direct Known Subclasses:
    ClientCommandHandler, ServerCommandManager

      public class CommandHandler
      extends java.lang.Object
      implements ICommandManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandHandler()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `executeCommand(ICommandSender par1ICommandSender, java.lang.String par2Str)`
    `java.util.Map` | `getCommands()`
    `java.util.List` | `getPossibleCommands(ICommandSender par1ICommandSender)`
    `java.util.List` | `getPossibleCommands(ICommandSender par1ICommandSender, java.lang.String par2Str)`
    `ICommand` | `registerCommand(ICommand par1ICommand)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CommandHandler

          public CommandHandler()

  - ### Method Detail

    - #### executeCommand

          public int executeCommand(ICommandSender par1ICommandSender,
                           java.lang.String par2Str)

      Specified by:
        `executeCommand` in interface `ICommandManager`

    - #### registerCommand

          public ICommand registerCommand(ICommand par1ICommand)

    - #### getPossibleCommands

          public java.util.List getPossibleCommands(ICommandSender par1ICommandSender,
                                           java.lang.String par2Str)

      Specified by:
        `getPossibleCommands` in interface `ICommandManager`

    - #### getPossibleCommands

          public java.util.List getPossibleCommands(ICommandSender par1ICommandSender)

      Specified by:
        `getPossibleCommands` in interface `ICommandManager`

    - #### getCommands

          public java.util.Map getCommands()

      Specified by:
        `getCommands` in interface `ICommandManager`